package p02_konsola;

import java.util.Scanner;

public class C_Skaner1 {

	public static void main(String[] args) {
		// Deklaruję zmienną scanner typu Scanner
		// i wpisuję do niej nowy obiekt klasy Scanner.
		// Ten skaner będzie czytał dane ze standardowego wejścia (System.in)
		Scanner scanner = new Scanner(System.in);
		// Gdy zmieniemy ustawienia na amerykańskie, to liczby będzie trzeba wpisywać z kropką.
		// scanner.useLocale(Locale.US);
		// Jeśli tego nie zrobimy, to wszystko zależy od ustawień językowych komputera. Jeśli są PL, to wpisujemy liczby z przecinkiem
		
		System.out.println("Wpisz linię tekstu:");
		String linia = scanner.nextLine();
		System.out.println("linia: " + linia);
		
		System.out.println("Napisz kilka słów:");
		String slowo1 = scanner.next();
		String slowo2 = scanner.next();
		// Po wczytaniu pojedynczych słów lub liczb, warto wykonać nextLine,
		// aby wczytać wszystkie pozostałe znaki do końca linii - w ten sposób "oczyszczamy wejście"
		String reszta = scanner.nextLine();
		System.out.println("Pierwsze słowo: " + slowo1);
		System.out.println("Drugie słowo: " + slowo2);
		System.out.println("Reszta linii: " + reszta);
		
		System.out.print("Podaj liczbę całkowitą: ");
		int x = scanner.nextInt();
		System.out.println("x = " + x);

		System.out.print("Podaj liczbę z ułamkiem: ");
		double d = scanner.nextDouble();
		System.out.println("d = " + d);
		System.out.println("iloczyn tych liczb: " + x*d);
		
		// można też long, BigDecimal, a nawet boolean

		// Zamykanie skanera, który czyta stdin, nie jest konieczne,
		// ale napiszemy tu close, aby Eclipse nie pokazywał warninga.
		scanner.close();
	}

}
